package com.ruoyi.web.work.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.experimental.Accessors;
/**
 * @author lsw
 * @date 2024-07-19
 */
@Data
@TableName(value = "tb_pv2")
@Accessors(chain = true)
public class Pv2{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "患者ID")
    private Long patientId;

    @ApiModelProperty(value = "危重级别: 0-一般病人 1-危重病人")
    private String level;

    @ApiModelProperty(value = "入区时间")
    private String entryTime;

    @ApiModelProperty(value = "出区时间")
    private String exitTime;

    @ApiModelProperty(value = "出区原因： 治愈 好转稳定 恶化 死亡")
    private String reasonArea;

    @ApiModelProperty(value = "婴儿信息标识：Y-是 N-否")
    private String babyCode;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "患者ID")
    private String msgId;


}
