package com.ruoyi.web.work.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.experimental.Accessors;
/**
 * @author lsw
 * @date 2024-07-19
 */
@Data
@TableName(value = "tb_user")
@Accessors(chain = true)
public class User{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "微信id")
    private String openId;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "状态:0=正常,1=停用")
    private Long state;

    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(fill = FieldFill.UPDATE)
    private String updateBy;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "卫宁患者ID")
    private String patId;

    @ApiModelProperty(value = "患者标识符")
    private String patientId;

    @ApiModelProperty(value = "就诊卡号")
    private String cardId;

    @ApiModelProperty(value = "出生时间")
    private String birthDate;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "患者地址")
    private String address;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "工作电话")
    private String workPhone;

    @ApiModelProperty(value = "婚姻状况")
    private String marital;

    @ApiModelProperty(value = "民族")
    private String nation;

    @ApiModelProperty(value = "职业")
    private String career;

    @ApiModelProperty(value = "国籍")
    private String nationality;

    @ApiModelProperty(value = "病历号")
    private String blh;

    @ApiModelProperty(value = "卡号")
    private String brkh;

    @ApiModelProperty(value = "身份证号")
    private String sfzh;

    @ApiModelProperty(value = "婴儿序号")
    private String yexh;

    //token字段不在数据库中，mybatis不会映射
    @TableField(exist = false)
    private String token;


}
